=== debian/changelog ===
viva (1.0+git20140604.271f86fa51-1) unstable; urgency=medium

  [ Martin Quinson ]
  * Initial release (Closes: #698238)

  [ Lucas Nussbaum ]
  * Further packaging work for initial upload.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 04 Jun 2014 09:08:57 +0200
