=== debian/control ===
Source: viva
Section: devel
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 9.0.0), chrpath,
  libboost-dev, libconfig++-dev, libconfig8-dev, libgtk2.0-dev, freeglut3-dev,
  pajeng, libpajeutils-dev, libpaje-dev, cmake, libqt4-dev, libqt4-opengl-dev
Standards-Version: 3.9.5
Homepage: https://github.com/schnorr/viva
Vcs-Git: git://anonscm.debian.org/collab-maint/viva.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viva.git;a=summary

Package: viva
Architecture: any
Multi-Arch: foreign
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: alternative visualization techniques for analysis of paje trace files
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap

Package: libvivautils1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for visualization of trace files
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap
 .
 This package contains a shared library gathering common utility functions.

Package: libvivautils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 libvivautils1 (= ${binary:Version})
Description: library for visualization of trace files (development files)
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap
 .
 This package contains development files (headers, etc.) for libvivautils.
