## viva 1.1+git20150820.1a3d1f680f

=== CMakeLists.txt ===
--- 
+++ 
@@ -84,12 +84,18 @@
 # the cmake options
 OPTION(VIVA         "The Viva visualization tool (Qt4 version)" ON)
 OPTION(VV_TREEMAP      "The vv_treemap visualization tool" ON)
+OPTION(VIVA_DOC "Generate viva documentation" OFF)
 
 FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGl)
 FIND_PACKAGE(GLUT REQUIRED)
 FIND_PACKAGE(OpenGL REQUIRED)
 FIND_PACKAGE(LibConfig REQUIRED)
 FIND_PACKAGE(PajeNG REQUIRED)
+
+#
+# Utils
+#
+QT4_WRAP_CPP(UTILS_HEADERS_MOC ${UTILS_HEADERS})
 
 #
 # VIVA
@@ -108,7 +114,9 @@
     ${LIBTUPI_SOURCES}
     ${VIVA_SOURCES}
     ${VIVA_HEADERS_MOC}
-    ${VIVA_RESOURCES_RCC})
+    ${VIVA_RESOURCES_RCC}
+    ${UTILS_SOURCES}
+    ${UTILS_HEADERS_MOC})
   TARGET_LINK_LIBRARIES(viva ${QT_LIBRARIES})
   TARGET_LINK_LIBRARIES(viva ${GLUT_glut_LIBRARY})
   TARGET_LINK_LIBRARIES(viva ${OPENGL_gl_LIBRARY})
@@ -116,7 +124,6 @@
   TARGET_LINK_LIBRARIES(viva ${LIBCONFIG_LIBRARIES})
   TARGET_LINK_LIBRARIES(viva paje)
   TARGET_LINK_LIBRARIES(viva pajeutils)
-  TARGET_LINK_LIBRARIES(viva viva_utils_library)
   INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/viva DESTINATION bin)
 ENDIF(VIVA)
 
@@ -132,22 +139,21 @@
   INCLUDE_DIRECTORIES(vv_treemap src/utils/)
   LINK_DIRECTORIES (${PAJENG_LIBRARY_PATH})
 
-  ADD_EXECUTABLE(vv_treemap ${TREEMAP_SOURCES} ${TREEMAP_HEADERS_MOC} ${TREEMAP_RESOURCES_RCC})
+  ADD_EXECUTABLE(vv_treemap
+    ${TREEMAP_SOURCES}
+    ${TREEMAP_HEADERS_MOC}
+    ${TREEMAP_RESOURCES_RCC}
+    ${UTILS_SOURCES}
+    ${UTILS_HEADERS_MOC})
   TARGET_LINK_LIBRARIES(vv_treemap ${QT_LIBRARIES})
   TARGET_LINK_LIBRARIES(vv_treemap ${GLUT_glut_LIBRARY})
   TARGET_LINK_LIBRARIES(vv_treemap ${OPENGL_gl_LIBRARY})
   TARGET_LINK_LIBRARIES(vv_treemap ${OPENGL_glu_LIBRARY})
   TARGET_LINK_LIBRARIES(vv_treemap paje)
   TARGET_LINK_LIBRARIES(vv_treemap pajeutils)
-  TARGET_LINK_LIBRARIES(vv_treemap viva_utils_library)
   INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/vv_treemap DESTINATION bin)  
 ENDIF(VV_TREEMAP)
 
-#
-# Utils
-#
-QT4_WRAP_CPP(UTILS_HEADERS_MOC ${UTILS_HEADERS})
-ADD_LIBRARY(viva_utils_library SHARED ${UTILS_SOURCES} ${UTILS_HEADERS_MOC})
-SET_TARGET_PROPERTIES(viva_utils_library PROPERTIES OUTPUT_NAME vivautils)
-INSTALL(TARGETS viva_utils_library DESTINATION lib)
-INSTALL(FILES ${UTILS_HEADERS} DESTINATION include)
+if(VIVA_DOC)
+  add_subdirectory(doc)
+endif(VIVA_DOC)
