=== debian/changelog ===
viva (1.1+git20150820.1a3d1f680f-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fixes FTBFS. Closes: #794704
    + Drop libvivautils1 and libvivautils-dev binary packages.
    + Generate and install man pages.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 20 Aug 2015 10:42:52 +0200
