=== debian/control ===
Source: viva
Section: devel
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: asciidoc,
               chrpath,
               cmake,
               debhelper (>= 9.0.0),
               docbook-xml,
               docbook-xsl,
               freeglut3-dev,
               libboost-dev,
               libconfig++-dev,
               libconfig8-dev,
               libgtk2.0-dev,
               libpaje-dev,
               libpajeutils-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libxml2-utils,
               pajeng,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://github.com/schnorr/viva
Vcs-Git: git://anonscm.debian.org/collab-maint/viva.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/viva.git;a=summary

Package: viva
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: alternative visualization techniques for analysis of paje trace files
 Viva implements alternative trace visualization techniques for the
 analysis of parallel and distributed applications. The tool also serves
 as a sandbox to the development of new visualization techniques.
 .
 Current features include:
 .
  - Temporal integration using dynamic time-intervals
  - Spatial aggregation through hierarchical traces
  - Interactive Graph Visualization with a force-directed algorithm, with viva
  - Squarified Treemap to compare processes behavior on scale, with vv_treemap
