=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,16 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONE: override_dh_auto_install
+override_dh_auto_configure:
+	        dh_auto_configure -- -DVIVA_DOC=ON
+
+.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
-	chrpath -d debian/tmp/usr/bin/viva
-	chrpath -d debian/tmp/usr/bin/vv_treemap
-	mkdir -p debian/tmp$(libdir)
-	mv debian/tmp/usr/lib/libvivautils* debian/tmp$(libdir)
-
-.PHONY: override_dh_shlibdeps
-override_dh_shlibdeps:
-	dh_shlibdeps -a -- --warnings=7
+	chrpath -d debian/viva/usr/bin/viva
+	chrpath -d debian/viva/usr/bin/vv_treemap
+	mkdir debian/viva/usr/share
+	mv debian/viva/usr/man debian/viva/usr/share/man
 
 .PHONY: override_dh_install
 override_dh_install:
