=== debian/changelog ===
viva (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update libconfig-dev build dependency. Closes: #881367.
  * Bump standards version.
  * Set priority to optional.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Nov 2017 16:29:22 +0100

viva (1.2-1) unstable; urgency=medium

  * New upstream release
    - upstream dropped the vivautils package (so remove our patch)
    - Depend on paje (>= 1.3.4) which is the one dropping libpajeutils
      Some code of that lib got integrated into Viva.
  * Fix lintian issues:
    - pre-depends-directly-on-multiarch-support, as advised by lintian
    - build-depends-on-1-revision libpaje-dev (>= 1.3.4-1)
  * d/control: Bump standard version to 3.9.8 (no other change)
  * Do not build-depend in libpajeutils-dev, as it does not exist
    anymore (Closes: #829124).
  * d/p/no-pajeutils: drop a remaining dependency on that lib in the code

 -- Martin Quinson <mquinson@debian.org>  Tue, 30 Aug 2016 22:25:04 +0200
