=== debian/rules ===
--- 
+++ 
@@ -6,26 +6,22 @@
 
 DH_OPTIONS=
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-libdir := /usr/lib/$(DEB_HOST_MULTIARCH)
-
 %:
 	dh $@ $(DH_OPTIONS)
 
-override_dh_auto_configure:
-	        dh_auto_configure -- -DVIVA_DOC=ON
-
-.PHONY: override_dh_auto_install
+.PHONE: override_dh_auto_install
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install 
 	chrpath -d debian/viva/usr/bin/viva
 	chrpath -d debian/viva/usr/bin/vv_treemap
-	mkdir debian/viva/usr/share
-	mv debian/viva/usr/man debian/viva/usr/share/man
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --list-missing
+.PHONY: override_dh_shlibdeps
+override_dh_shlibdeps:
+	dh_shlibdeps -a -- --warnings=7
+
+#.PHONY: override_dh_install
+#override_dh_install:
+#	dh_install --fail-missing --sourcedir=debian/viva
 
 clean:
 	dh clean $(DH_OPTIONS)
