=== debian/watch ===
version=3
https://github.com/schnorr/viva/tags .*/viva-(\d[\d\.]+)\.tar\.gz
